gRPC C#
gRPC C#
Namespaces
Grpc.Core.Logging
ILogger Interface
ILogger Methods

ILogger Interface

For logging messages.

Namespace: Grpc.Core.Logging
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public interface ILogger

    Public Interface ILogger

    public interface class ILogger

    type ILogger =  interface end

The ILogger type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Debug | Logs a message with severity Debug.
| Error(String, Object ) | Logs a message with severity Error.
| Error(Exception, String, Object ) | Logs a message and an associated exception with severity Error.
| ForType T | Returns a logger associated with the specified type.
| Info | Logs a message with severity Info.
| Warning(String, Object ) | Logs a message with severity Warning.
| Warning(Exception, String, Object ) | Logs a message and an associated exception with severity Warning.

Top
See Also

#### Reference

Grpc.Core.Logging Namespace